package com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.adapter;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.Lifecycle;
import androidx.viewpager2.adapter.FragmentStateAdapter;

import com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.data.CPropertiesFragmentFactory;
import com.compdfkit.tools.annotation.pdfproperties.pdfattr.CAnnotStyle;
import com.compdfkit.tools.common.views.pdfproperties.basic.CBasicPropertiesFragment;

import java.util.ArrayList;
import java.util.List;


public class CAnnotPropertiesFragmentAdapter  extends FragmentStateAdapter {

    private CAnnotStyle style;

    private List<Class<? extends CBasicPropertiesFragment>> propertiesClass = new ArrayList<>();

    public CAnnotPropertiesFragmentAdapter(CAnnotStyle style, @NonNull FragmentManager fragmentManager, @NonNull Lifecycle lifecycle) {
        super(fragmentManager, lifecycle);
        this.style = style;
        propertiesClass = CPropertiesFragmentFactory.getPropertiesFragmentClass(style);
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {
        return CPropertiesFragmentFactory.createPropertiesFragment(propertiesClass.get(position), style);
    }

    @Override
    public int getItemCount() {
        return propertiesClass.size();
    }
}
